Bug 1180536 - Extra leap second on 30th of June 2015 [6.6.z]
Summary: Extra leap second on 30th of June 2015 [6.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tzdata
Version: 6.6
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 6.6
Assignee: Patsy Griffin
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 1075802 1181933 1181970 1181975 1187708
TreeView+ depends on / blocked
 
Reported: 2015-01-09 12:02 UTC by Muhammad Azhar Shaikh
Modified: 2019-08-15 04:10 UTC (History)
32 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1181933 1181970 1181975 1187708 (view as bug list)
Environment:
Last Closed: 2015-02-06 17:36:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0141 0 normal SHIPPED_LIVE tzdata enhancement update 2015-02-06 22:35:05 UTC

Description Muhammad Azhar Shaikh 2015-01-09 12:02:03 UTC
On June 30th at precisely 23:59:59, the world’s atomic clocks will pause for a single second.

Or, to be more precise, they’ll change to the uncharted time of 23:59:60 before ticking over to the more worldly hour of 00:00:00 on the morning of July 1st, 2015.

This addition of a leap second, announced by the Paris Observatory this week, is being added to keep terrestrial clocks in step with the vagaries of astronomical time in this case, the slowing of the Earth’s rotation. 


Official reference from INTERNATIONAL EARTH ROTATION AND REFERENCE SYSTEMS SERVICE (IERS) 
http://datacenter.iers.org/web/guest/eop/-/somos/5Rgv/latest/16

Comment 17 Bryan Totty 2015-02-05 20:40:27 UTC
Question for systems using NTP (UTC):

Will this patch show a duplicate 59th second or create a one time 60th second if using NTP (UTC)?


https://access.redhat.com/articles/15145

-----
Systems running any version of Red Hat Enterprise Linux should automatically account for leap second corrections if they are using the NTP (Network Time Protocol) daemon to synchronize their local timekeeping with an NTP server. During the last day before a leap second correction, NTP servers should notify their clients that a leap second will occur, and at 23:59:59 UTC, the Linux kernel should add or remove an extra second by making the 60th second twice as long or removing it entirely. Thus, Red Hat Enterprise Linux systems running an NTP client during the last leap second correction should have counted time as follows:

2008-12-31 23:59:59 UTC
2008-12-31 23:59:59 UTC
2009-01-01 00:00:00 UTC

When the leap second occurs, the kernel prints a message to the system log. 
-----


The above states that there will be >>2<< "59" seconds displayed.

Will this be the case again?


Reference that doesn't mention ntp:
http://hpiers.obspm.fr/iers/bul/bulc/bulletinc.dat

-----
 A positive leap second will be introduced at the end of June 2015.
 The sequence of dates of the UTC second markers will be:		
		
                          2015 June 30,     23h 59m 59s
                          2015 June 30,     23h 59m 60s
                          2015 July  1,      0h  0m  0s
-----

Comment 22 errata-xmlrpc 2015-02-06 17:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0141.html


Note You need to log in before you can comment on or make changes to this bug.